package com.alterdekim.hearthhack.game;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum PegasusPacketType {
    GetGameState(1),
    Concede(11),
    SendPing(115),
    SendChoices(3),
    SendOption(2),
    SendEmoteOrUI(15);

    private final Integer value;

    public static PegasusPacketType fromInt(int i) {
        for(PegasusPacketType t : values()) {
            if( t.getValue() == i ) return t;
        }
        return SendPing;
    }
}
